
-- validate customer_address
select cnt1 - cnt2, cnt2 customer_address_vcount from (select count(*) cnt1 from ${DB}.customer_address t, ${VLD_DB}.customer_address v where t.ca_address_sk=v.ca_address_sk) x, (select count(*) cnt2 from ${VLD_DB}.customer_address) y;

-- validate customer_demographics
select cnt1 - cnt2, cnt2 customer_demographics_vcount from (select count(*) cnt1 from ${DB}.customer_demographics t, ${VLD_DB}.customer_demographics v where t.cd_demo_sk=v.cd_demo_sk) x, (select count(*) cnt2 from ${VLD_DB}.customer_demographics) y;

-- validate date_dim
select cnt1 - cnt2, cnt2 date_dim_vcount from (select count(*) cnt1 from ${DB}.date_dim t, ${VLD_DB}.date_dim v where t.d_date_sk=v.d_date_sk) x, (select count(*) cnt2 from ${VLD_DB}.date_dim) y;

-- validate warehouse
select cnt1 - cnt2, cnt2 warehouse_vcount from (select count(*) cnt1 from ${DB}.warehouse t, ${VLD_DB}.warehouse v where t.w_warehouse_sk=v.w_warehouse_sk) x, (select count(*) cnt2 from ${VLD_DB}.warehouse) y;


-- validate ship_mode
select cnt1 - cnt2, cnt2 ship_mode_vcount  from (select count(*) cnt1 from ${DB}.ship_mode t, ${VLD_DB}.ship_mode v where t.sm_ship_mode_sk=v.sm_ship_mode_sk) x, (select count(*) cnt2 from ${VLD_DB}.ship_mode) y;

-- validate time_dim
select cnt1 - cnt2, cnt2 time_dim_vcount from (select count(*) cnt1 from ${DB}.time_dim t, ${VLD_DB}.time_dim v where t.t_time_sk=v.t_time_sk) x, (select count(*) cnt2 from ${VLD_DB}.time_dim) y;

-- validate reason 
select cnt1 - cnt2, cnt2 reason_vcount from (select count(*) cnt1 from ${DB}.reason t, ${VLD_DB}.reason v where t.r_reason_sk=v.r_reason_sk) x, (select count(*) cnt2 from ${VLD_DB}.reason) y;

-- validate income_band 
select cnt1 - cnt2, cnt2 income_band_vcount  from (select count(*) cnt1 from ${DB}.income_band t, ${VLD_DB}.income_band v where t.ib_income_band_sk=v.ib_income_band_sk) x, (select count(*) cnt2 from ${VLD_DB}.income_band) y;

-- validate item
select cnt1 - cnt2, cnt2 item_vcount from (select count(*) cnt1 from ${DB}.item t, ${VLD_DB}.item v where t.i_item_sk=v.i_item_sk) x, (select count(*) cnt2 from ${VLD_DB}.item) y;

-- validate store
select cnt1 - cnt2, cnt2 store_vcount from (select count(*) cnt1 from ${DB}.store t, ${VLD_DB}.store v where t.s_store_sk=v.s_store_sk) x, (select count(*) cnt2 from ${VLD_DB}.store) y;

-- validate call_center
select cnt1 - cnt2, cnt2 call_center_vcount from (select count(*) cnt1 from ${DB}.call_center t, ${VLD_DB}.call_center v where t.cc_call_center_sk=v.cc_call_center_sk) x, (select count(*) cnt2 from ${VLD_DB}.call_center) y;

-- validate customer
select cnt1 - cnt2, cnt2 customer_vcount from (select count(*) cnt1 from ${DB}.customer t, ${VLD_DB}.customer v where t.c_customer_sk=v.c_customer_sk) x, (select count(*) cnt2 from ${VLD_DB}.customer) y;

-- validate household_demographics
select cnt1 - cnt2, cnt2 household_demographics_vcount from (select count(*) cnt1 from ${DB}.household_demographics t, ${VLD_DB}.household_demographics v where t.hd_demo_sk=v.hd_demo_sk) x, (select count(*) cnt2 from ${VLD_DB}.household_demographics) y;

-- validate web_page
select cnt1 - cnt2, cnt2 web_page_vcount from (select count(*) cnt1 from ${DB}.web_page t, ${VLD_DB}.web_page v where t.wp_web_page_sk=v.wp_web_page_sk) x, (select count(*) cnt2 from ${VLD_DB}.web_page) y;

-- validate promotion
select cnt1 - cnt2, cnt2 promotion_vcount from (select count(*) cnt1 from ${DB}.promotion t, ${VLD_DB}.promotion v where t.p_promo_sk=v.p_promo_sk) x, (select count(*) cnt2 from ${VLD_DB}.promotion) y;

-- validate catalog_page
select cnt1 - cnt2, cnt2 catalog_page_vcount from (select count(*) cnt1 from ${DB}.catalog_page t, ${VLD_DB}.catalog_page v where t.cp_catalog_page_sk=v.cp_catalog_page_sk) x, (select count(*) cnt2 from ${VLD_DB}.catalog_page) y;

-- validate inventory
select cnt1 - cnt2, cnt2 inventory_vcount from (select count(*) cnt1 from ${DB}.inventory t, ${VLD_DB}.inventory v where t.inv_date_sk=v.inv_date_sk and t.inv_item_sk=v.inv_item_sk and t.inv_warehouse_sk=v.inv_warehouse_sk) x, (select count(*) cnt2 from ${VLD_DB}.inventory) y;

-- validate catalog_returns
select cnt1 - cnt2, cnt2 catalog_returns_vcount from (select count(*) cnt1 from ${DB}.catalog_returns t, ${VLD_DB}.catalog_returns v where t.cr_item_sk=v.cr_item_sk and t.cr_order_number=v.cr_order_number) x, (select count(*) cnt2 from ${VLD_DB}.catalog_returns) y;

-- validate web_returns
select cnt1 - cnt2, cnt2 web_returns_vcount from (select count(*) cnt1 from ${DB}.web_returns t, ${VLD_DB}.web_returns v where t.wr_item_sk=v.wr_item_sk and t.wr_order_number=v.wr_order_number) x, (select count(*) cnt2 from ${VLD_DB}.web_returns) y;

-- validate web_sales
select cnt1 - cnt2, cnt2 web_sales_vcount from (select count(*) cnt1 from ${DB}.web_sales t, ${VLD_DB}.web_sales v where t.ws_item_sk=v.ws_item_sk and t.ws_order_number=v.ws_order_number) x, (select count(*) cnt2 from ${VLD_DB}.web_sales) y;

-- validate catalog_sales
select cnt1 - cnt2, cnt2 catalog_sales_vcount from (select count(*) cnt1 from ${DB}.catalog_sales t, ${VLD_DB}.catalog_sales v where t.cs_item_sk=v.cs_item_sk and t.cs_order_number=v.cs_order_number) x, (select count(*) cnt2 from ${VLD_DB}.catalog_sales) y;

-- validate store_sales
select cnt1 - cnt2, cnt2 store_sales_vcount from (select count(*) cnt1 from ${DB}.store_sales t, ${VLD_DB}.store_sales v where t.ss_ticket_number=v.ss_ticket_number and t.ss_item_sk=v.ss_item_sk) x, (select count(*) cnt2 from ${VLD_DB}.store_sales) y;
-- validate store_returns
select cnt1 - cnt2, cnt2 store_returns_vcount from (select count(*) cnt1 from ${DB}.store_returns t, ${VLD_DB}.store_returns v where t.sr_ticket_number=v.sr_ticket_number and t.sr_item_sk=v.sr_item_sk) x, (select count(*) cnt2 from ${VLD_DB}.store_returns) y;


-- validate web_site
select cnt1 - cnt2, cnt2 web_site_vcount from (select count(*) cnt1 from ${DB}.web_site t, ${VLD_DB}.web_site v where t.web_site_sk=v.web_site_sk) x, (select count(*) cnt2 from ${VLD_DB}.web_site) y;


