set spark.scheduler.session.priority=true;

use ${DB};

-- ============================================================
--   Table: customer primary key exists, pre create table already
-- ============================================================
insert overwrite table customer
select
  tmp.c_customer_sk,
  tmp.c_customer_id,
  tmp.c_current_cdemo_sk,
  tmp.c_current_hdemo_sk,
  tmp.c_current_addr_sk,
  tmp.c_first_shipto_date_sk,
  tmp.c_first_sales_date_sk,
  tmp.c_salutation,
  tmp.c_first_name,
  tmp.c_last_name,
  tmp.c_preferred_cust_flag,
  tmp.c_birth_day,
  tmp.c_birth_month,
  tmp.c_birth_year,
  tmp.c_birth_country,
  tmp.c_login,
  tmp.c_email_address,
  tmp.c_last_review_date_sk
from(
  select
    c.c_customer_sk,
    c.c_customer_id,
    c.c_current_cdemo_sk,
    c.c_current_hdemo_sk,
    c.c_current_addr_sk,
    c.c_first_shipto_date_sk,
    c.c_first_sales_date_sk,
    c.c_salutation,
    c.c_first_name,
    c.c_last_name,
    c.c_preferred_cust_flag,
    c.c_birth_day,
    c.c_birth_month,
    c.c_birth_year,
    c.c_birth_country,
    c.c_login,
    c.c_email_address,
    c.c_last_review_date_sk
  from ${SOURCE}.customer c
) tmp
;

ANALYZE TABLE customer COMPUTE STATISTICS FOR COLUMNS c_customer_sk, c_customer_id, c_current_cdemo_sk, c_current_hdemo_sk, c_current_addr_sk, c_first_shipto_date_sk, c_first_sales_date_sk, c_salutation, c_first_name, c_last_name, c_preferred_cust_flag, c_birth_day, c_birth_month, c_birth_year, c_birth_country, c_login, c_email_address, c_last_review_date_sk;
