set spark.scheduler.session.priority=true;

use ${DB};

-- ============================================================
--   Table: customer_address
-- ============================================================
drop table if exists customer_address;
create table customer_address
using parquet OPTIONS(parquet.compression "SNAPPY", parquet.enable.dictionary "false", parquet.writer.version "v2")
TBLPROPERTIES("transactional"="true")
as select * from ${SOURCE}.customer_address;

ANALYZE TABLE customer_address COMPUTE STATISTICS FOR COLUMNS ca_address_sk, ca_address_id, ca_street_number, ca_street_name, ca_street_type, ca_suite_number, ca_city, ca_county, ca_state, ca_zip, ca_country, ca_gmt_offset, ca_location_type;
