set spark.scheduler.session.priority=true;

use ${DB};

-- ============================================================
--   Table: household_demographics
-- ============================================================
drop table if exists household_demographics;
create table household_demographics
using parquet OPTIONS(parquet.compression "SNAPPY", parquet.enable.dictionary "false", parquet.writer.version "v2")
TBLPROPERTIES("transactional"="true")
as select * from ${SOURCE}.household_demographics;

ANALYZE TABLE household_demographics COMPUTE STATISTICS FOR COLUMNS hd_demo_sk, hd_income_band_sk, hd_buy_potential, hd_dep_count, hd_vehicle_count;
