set spark.scheduler.session.priority=true;

create database if not exists ${DB};
use ${DB};

-- ============================================================
--   Table: inventory                                      
-- ============================================================
drop table if exists inventory;
create table inventory
(
    inv_date_sk             bigint      not null,
    inv_item_sk             bigint      not null,
    inv_warehouse_sk        bigint      not null,
    inv_quantity_on_hand    int
)
using parquet OPTIONS(parquet.compression "SNAPPY", parquet.enable.dictionary "false", parquet.writer.version "v2")
partitioned by (inv_date_sk)
TBLPROPERTIES("transactional"="true");

from ${SOURCE}.inventory i
insert overwrite table inventory partition (inv_date_sk)
select
    i.inv_item_sk,
    i.inv_warehouse_sk,
    i.inv_quantity_on_hand,
    i.inv_date_sk
    distribute by i.inv_date_sk
;
