set spark.scheduler.session.priority=true;

use ${DB};

-- ============================================================
--   Table: item primary key exists, pre create table already
-- ============================================================
insert overwrite table item
select
  tmp.i_item_sk,
  tmp.i_item_id,
  tmp.i_rec_start_date,
  tmp.i_rec_end_date,
  tmp.i_item_desc,
  tmp.i_current_price,
  tmp.i_wholesale_cost,
  tmp.i_brand_id,
  tmp.i_brand,
  tmp.i_class_id,
  tmp.i_class,
  tmp.i_category_id,
  tmp.i_category,
  tmp.i_manufact_id,
  tmp.i_manufact,
  tmp.i_size,
  tmp.i_formulation,
  tmp.i_color,
  tmp.i_units,
  tmp.i_container,
  tmp.i_manager_id,
  tmp.i_product_name
from(
  select
    i.i_item_sk,
    i.i_item_id,
    i.i_rec_start_date,
    i.i_rec_end_date,
    i.i_item_desc,
    i.i_current_price,
    i.i_wholesale_cost,
    i.i_brand_id,
    i.i_brand,
    i.i_class_id,
    i.i_class,
    i.i_category_id,
    i.i_category,
    i.i_manufact_id,
    i.i_manufact,
    i.i_size,
    i.i_formulation,
    i.i_color,
    i.i_units,
    i.i_container,
    i.i_manager_id,
    i.i_product_name
  from ${SOURCE}.item i
) tmp
;

ANALYZE TABLE item COMPUTE STATISTICS FOR COLUMNS i_item_sk, i_item_id, i_rec_start_date, i_rec_end_date, i_item_desc, i_current_price, i_wholesale_cost, i_brand_id, i_brand, i_class_id, i_class, i_category_id, i_category, i_manufact_id, i_manufact, i_size, i_formulation, i_color, i_units, i_container, i_manager_id, i_product_name;
