set spark.scheduler.session.priority=true;

create database if not exists ${DB};
use ${DB};

-- ============================================================
--   Table: item
-- ============================================================
drop table if exists item;
create table item 
(
    i_item_sk                 bigint        not null,
    i_item_id                 char(16)      not null,
    i_rec_start_date          date,
    i_rec_end_date            date,
    i_item_desc               varchar(200),
    i_current_price           decimal(7,2),
    i_wholesale_cost          decimal(7,2),
    i_brand_id                int,
    i_brand                   char(50),
    i_class_id                int,
    i_class                   char(50),
    i_category_id             int,
    i_category                char(50),
    i_manufact_id             int,
    i_manufact                char(50),
    i_size                    char(20),
    i_formulation             char(20),
    i_color                   char(20),
    i_units                   char(10),
    i_container               char(10),
    i_manager_id              int,
    i_product_name            char(50),
    constraint pk primary key (i_item_sk)
)
using parquet OPTIONS(parquet.compression "SNAPPY", parquet.enable.dictionary "false", parquet.writer.version "v2")
TBLPROPERTIES("transactional"="true");

-- ============================================================
--   Table: customer
-- ============================================================
drop table if exists customer;
create table customer 
(
    c_customer_sk             bigint        not null,
    c_customer_id             char(16)      not null,
    c_current_cdemo_sk        bigint,
    c_current_hdemo_sk        bigint,
    c_current_addr_sk         bigint,
    c_first_shipto_date_sk    bigint,
    c_first_sales_date_sk     bigint,
    c_salutation              char(10),
    c_first_name              char(20),
    c_last_name               char(30),
    c_preferred_cust_flag     char(1),
    c_birth_day               int,
    c_birth_month             int,
    c_birth_year              int,
    c_birth_country           varchar(20),
    c_login                   char(13),
    c_email_address           char(50),
    c_last_review_date_sk     bigint,
    constraint pk primary key (c_customer_sk)
)
using parquet OPTIONS(parquet.compression "SNAPPY", parquet.enable.dictionary "false", parquet.writer.version "v2")
TBLPROPERTIES("transactional"="true");
