set spark.scheduler.session.priority=true;

use ${DB};

-- ============================================================
--   Table: warehouse
-- ============================================================
drop table if exists warehouse;
create table warehouse
using parquet OPTIONS(parquet.compression "SNAPPY", parquet.enable.dictionary "false", parquet.writer.version "v2")
TBLPROPERTIES("transactional"="true")
as select * from ${SOURCE}.warehouse;

ANALYZE TABLE warehouse COMPUTE STATISTICS FOR COLUMNS w_warehouse_sk, w_warehouse_id, w_warehouse_name, w_warehouse_sq_ft, w_street_number, w_street_name, w_street_type, w_suite_number, w_city, w_county, w_state, w_zip, w_country, w_gmt_offset;
