#!/bin/bash
set -e

bin=`which $0`
cd `dirname $bin`

source config

log info "Restart Thrift Server ..."
./service.sh restart

log info "Init the environment ..."
./init.sh 

log info "Stop Thrift Server ..."
./service.sh stop

log info "Generate data ..."
./datagen.sh

log info "Start Thrift Server ..."
./service.sh start

log info "Load data to target db ..."
./load.sh

log info "Validate the data ..."
./validate_data.sh

log info "Generate test SQLs ..."
./querygen.sh

./pt.sh

./tt.sh 1

./mt.sh 1 &

log info "Data Accessibility Test ..."
########################################
# add data accessibility test here
########################################
sleep 60

./data_access_test.sh

wait

./tt.sh 2

./mt.sh 2

log info "Performance Tests finished, start to do verification and collect results"

log info "Get Query 64 results"
./q64_result.sh

log info "Verify random rows inserted/deleted by DM functions"
./run_verify_mt.sh 1
./run_verify_mt.sh 2
./run_verify_mt.sh 3
./run_verify_mt.sh 4

log info "Collect EMR configuration and system profiles"
./collect_emr_configs.sh
./collect_system_profiles.sh

log info "Process logs and query results"
./post_process.sh true

log info "Run qualification test"
./run_qualification_test.sh

log info "All tests finished"
