#!/bin/bash
source config

THRIFT_SERVER_HOME=/usr/lib/spark-current

function start() {

	pushd $THRIFT_SERVER_HOME > /dev/null 2>&1
	log info "Executing Start Up Script ..."
	sh start-weld.sh > /home/hadoop/fengqi/start.out 2>&1
	while [ -z "`sudo netstat -anlp | grep $PORT | grep -i listen`" ]; do
		sleep 3; 
		log info "Wait Until Thrift Server Up ...";
	done
	popd > /dev/null 2>&1
	
	sleep 5
	log info "Thrift Server Is Up ...";
}

function stop() {
	PID=$(ps aux | grep $PORT | grep HiveThriftServer2 | grep -v grep | awk '{print $2}')
        if [ -n "$PID" ]; then
		log info "Killing Process $PID ..."
		kill -9 $PID
		sleep 3
	else
		log info "Thrift Server Process Not Exist ..."
	fi
}

function restart() {
	stop
	sleep 3
	start
}

case "$1" in
	start )
		start
		;;
	stop )
		stop
		;;
	restart )
		restart
		;;
	* )
		log info "No Such Command ..."
		;;
esac
