#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License. See accompanying LICENSE file.
#

# Set httpfs specific environment variables here.

# Settings for the Embedded Tomcat that runs HttpFS
# Java System properties for HttpFS should be specified in this variable
#
export CATALINA_OPTS="-Xmx512m"

# HttpFS logs directory
#
export HTTPFS_HOME=${HADOOP_HOME}
export HTTPFS_LOG=${HADOOP_LOG_DIR}/httpfs/logs
export HTTPFS_CONFIG=${HADOOP_CONF_DIR}
export HTTPFS_TEMP=${HADOOP_LOG_DIR}/httpfs/temp


JAVAAGEGENT_OPTS="-javaagent:/var/lib/ecm-agent/data/jmxetric-1.0.8.jar=host=localhost,port=8649,mode=unicast,wireformat31x=true,process=HDFS_HttpFS,config=/var/lib/ecm-agent/data/jmxetric.xml"
export CATALINA_OPTS="$CATALINA_OPTS $JAVAAGEGENT_OPTS"

# HttpFS temporary directory
#
# export HTTPFS_TEMP=${HTTPFS_HOME}/temp

# The HTTP port used by HttpFS
#
# export HTTPFS_HTTP_PORT=14000

# The Admin port used by HttpFS
#
# export HTTPFS_ADMIN_PORT=`expr ${HTTPFS_HTTP_PORT} + 1`

# The hostname HttpFS server runs on
#
# export HTTPFS_HTTP_HOSTNAME=`hostname -f`

# Indicates if HttpFS is using SSL
#
# export HTTPFS_SSL_ENABLED=false

# The location of the SSL keystore if using SSL
#
# export HTTPFS_SSL_KEYSTORE_FILE=${HOME}/.keystore

# The password of the SSL keystore if using SSL
#
# export HTTPFS_SSL_KEYSTORE_PASS=password